unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons, ExtCtrls;

type
  TForm1 = class(TForm)
    edInput: TEdit;
    lblStartUnit: TLabel;
    Label2: TLabel;
    lblResult: TLabel;
    btnFootToMeter: TButton;
    btnMeterToFoot: TButton;
    procedure btnFootToMeterClick(Sender: TObject);
    procedure btnMeterToFootClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.FormCreate(Sender: TObject);
begin
  // an empty edInput would result in an error with StrToFloat(edInput.Text)
  // ...see below
  edInput.Text := '1';

  lblStartUnit.Caption := '...';
end;

{ Event handler for btnFootToMeter: convert from foot to meter.
}
procedure TForm1.btnFootToMeterClick(Sender: TObject);
var
  Foot, Meter: real;
  ResultString: string;
begin
  // Show the name of the starting length unit
  lblStartUnit.Caption := 'foot';

  // Convert the text of the EDIT to a numerical value
  Foot := StrToFloat(edInput.Text);

  // Convert from foot to meter
  Meter := Foot * 0.3048;

  { Convert the floating point number to string-format.
    '0.00' is the "Format String", meaning:
    format the result with 2 decimal digits to the right
    of the decimal separator }
  ResultString := FormatFloat('0.00', Meter);

  // Put the string in the CAPTION of the LABEL
  lblResult.Caption := ResultString + ' meter';
end;

{ Event handler for btnMeterToFoot: convert from meter to foot.
}
procedure TForm1.btnMeterToFootClick(Sender: TObject);
var
  Foot, Meter: real;
  ResultString: string;
begin
  // Show the names of the starting and result length units
  LblStartUnit.Caption := 'meter';

  // Convert the text of the EDIT to a numerical value
  Meter := StrToFloat(edInput.Text);

  // Convert from meter to foot
  Foot := Meter / 0.3048;

  { Convert the floating point number to string-format.
    '0.000' is the "Format String", meaning:
    format the result with 2 decimal digits to the right
    of the decimal separator }
  ResultString := FormatFloat('0.00', Foot);

  // Put the string in the CAPTION of the LABEL
  LblResult.Caption := ResultString + ' foot';
end;

end.
